Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat
Interface NaturalIdCacheStatistics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  ConcurrentNaturalIdCacheStatisticsImpl

    public interface NaturalIdCacheStatistics

extends Serializable

NaturalId query statistics

Note that for a cached natural id, the cache miss is equals to the db count

Method Summary
`long` | `getElementCountInMemory()`
`long` | `getElementCountOnDisk()`
`Map` | `getEntries()`
`long` | `getExecutionAvgTime()`
`long` | `getExecutionCount()`
`long` | `getExecutionMaxTime()`
`long` | `getExecutionMinTime()`
`long` | `getHitCount()`
`long` | `getMissCount()`
`long` | `getPutCount()`
`long` | `getSizeInMemory()`

Method Detail

### getHitCount

    long getHitCount()

### getMissCount

    long getMissCount()

### getPutCount

    long getPutCount()

### getExecutionCount

    long getExecutionCount()

### getExecutionAvgTime

    long getExecutionAvgTime()

### getExecutionMaxTime

    long getExecutionMaxTime()

### getExecutionMinTime

    long getExecutionMinTime()

### getElementCountInMemory

    long getElementCountInMemory()

### getElementCountOnDisk

    long getElementCountOnDisk()

### getSizeInMemory

    long getSizeInMemory()

### getEntries

    Map getEntries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.